.App {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-evenly;
}

.App.dark {
	background-color:  rgb(59, 48, 48);
	transition: background-color 0.5s ease;
}

.nav-bar {
	display: flex;
	justify-content: center;
	align-items: center;
	width: 100%;
	height: 50px;
	background-color: rgb(110, 77, 77);
	color: white;
	font-size: 20px;
	position: sticky;
	top: 0;
}

.nav-bar input {
	height: 30px;
	width: 300px;
	margin-left: 15px;
	border-radius: 5px;
	padding-left: 5px;
	font-size: 15px;
}

.nav-bar button {
	height: 35px;
	font-weight: 550;
	font-size: 15px;
	margin-left: 10px;
}

.nav-bar .links {
	position: absolute;
	right: 20px;
}

.nav-bar .links a {
	text-decoration: none;
	color: white;
	border: 1px solid grey;
	padding: 2px 5px;
}

.product-list {
	display: flex;
	flex-flow: row wrap;
	flex: 0 0 60%;
	justify-content: center;
}

.product-list.dark {
	transition: background-color 0.5s ease;
	background-color: rgb(59, 48, 48);
	color: white;
}

.product{
	width: 300px;
	margin: 10px;
	border:1px solid gray;
}

.product img{
	width: 100%;
}

.product .title,
.actions {
	display: flex;
	justify-content: space-between;
	align-items: center;
	padding: 10px;
} 

.product .actions{
	border-top: 1px solid gray;
}

.product .actions button{
	height: 25px;
	color: white;
	font-weight: 600;
	font-size: 15px;
	background-color: #4caf50;
}

.product-details {
	flex: 0 0 60%;
	display: flex;
	justify-content: center;
	align-items: flex-start;
	flex-direction: row;
}

.cart {
	display: flex;
  	flex: 0 0 25%;
  	justify-content: center; 
	flex-direction: column;
	align-items: center;
	border: 1px solid grey;
	height: 100vh;
	position: sticky;
	top: 50px;
}

.cart.dark {
	transition: background-color 0.5s ease;
	background-color: rgb(59, 48, 48);;
	color: white;
}

.cart .cart-items {
	width: 100%;
	display: flex;
	flex-direction: column;
}

.cart .cart-item {
	display: flex;
	margin: 5px;
	padding: 5px;
	border: 1px dotted grey;
}

.cart-item button {
	width: 30px;
}

.cart-item .info {
	padding: 5px;
	display: flex;
	flex: auto;
	justify-content: space-between;
}

.cart-item .info button {
	width: 100px;
}

.checkout {
	flex: 0 0 60%;
	display: flex;
	flex-direction: column;
	justify-content: flex-start;
	align-items: center;
	margin-top: 20px;
}

.checkout input {
	height: 25px;
	font-size: 20px;
	padding: 10px;
}

.checkout button {
	font-size: 18px;
}
